# Uses of Class
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.Field

Packages that use Field
Package
Description
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519

## Uses of Field in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

Fields in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math declared as Field
Modifier and Type
Field
Description
`protected Field`
Encoding.`f`
`protected final Field`
FieldElement.`f`
Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math that return Field
Modifier and Type
Method
Description
`Field`
Curve.`getField()`
Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type Field
Modifier and Type
Method
Description
`void`
Encoding.`setField(Field f)`
Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type Field
Modifier
Constructor
Description
``
`Curve(Field f, byte[] d, FieldElement I)`
``
`FieldElement(Field f)`

## Uses of Field in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519

Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519 with parameters of type Field
Modifier
Constructor
Description
``
`Ed25519FieldElement(Field f, int[] t)`
Creates a field element.